import { RefObject } from "react";
import { MotionValuesMap } from "../motion/utils/use-motion-values";
import { AnimationControls } from "motion";
declare type DragDirection = "x" | "y";
export declare type Constraints = {
    left?: number;
    right?: number;
    top?: number;
    bottom?: number;
};
export declare type Overdrag = boolean | number;
export interface DraggableProps {
    dragEnabled?: boolean | DragDirection;
    dragLocksDirection?: boolean;
    dragPropagation?: boolean;
    dragConstraints?: Constraints;
    overdrag?: Overdrag;
    dragMomentum?: boolean;
}
export declare function useDraggable(props: DraggableProps, ref: RefObject<Element | null>, values: MotionValuesMap, controls: AnimationControls): void;
export {};
