import { RefObject } from "react";
import { Point, EventHandler } from "../events";
import { AnimationManager } from "../animation";
import { VariantLabels } from "../motion/types";
import { Target, TargetAndTransition } from "../types";
import { AnimationControls } from "../motion";
interface TapInfo {
    point: Point;
    devicePoint: Point;
}
declare type TapHandler = (session: TapInfo, event: Event) => void;
export interface TapHandlers {
    onTap?: TapHandler;
    onPressStart?: TapHandler;
    onPressEnd?: TapHandler;
    pressActive?: string | TargetAndTransition;
}
export interface Animation {
    controls?: AnimationControls;
    animate?: AnimationManager | VariantLabels | Target;
    initial?: VariantLabels | Target;
}
export declare function useTapGesture(handlers: TapHandlers & Animation): {
    onPointerDown: EventHandler;
};
export declare function useTapGesture(handlers: TapHandlers & Animation, ref: RefObject<Element>): undefined;
export {};
