import { MotionProps } from "motion/types";
import { ComponentType, RefObject, CSSProperties, EventHandler, SyntheticEvent } from "react";
import { MotionValuesMap } from "./use-motion-values";
import { AnimatePropType } from "../types";
import { AnimationControls } from "./use-animation-controls";
declare type AnimateProps = MotionProps & {
    controls: AnimationControls;
    values: MotionValuesMap;
    innerRef: RefObject<Element | null>;
};
export declare const AnimatePropComponents: {
    [AnimatePropType.Target]: (props: AnimateProps) => null;
    [AnimatePropType.VariantLabel]: (props: AnimateProps) => null;
    [AnimatePropType.AnimationSubscription]: (props: AnimateProps) => null;
};
export declare const getAnimatePropType: (props: MotionProps) => AnimatePropType | undefined;
export declare const getAnimateComponent: (animatePropType?: string | undefined) => import("react").ComponentClass<AnimateProps, any> | import("react").FunctionComponent<AnimateProps> | undefined;
export declare const isGesturesEnabled: (props: MotionProps) => boolean;
export declare const isDragEnabled: (props: MotionProps) => boolean;
export declare const Gestures: (props: AnimateProps) => null;
export declare const Draggable: (props: AnimateProps) => null;
declare type RenderProps<P> = {
    base: string | ComponentType<P>;
    props: P & MotionProps;
    innerRef: RefObject<Element | null>;
    handlers?: {
        onMouseEnter?: EventHandler<SyntheticEvent>;
        onMouseLeave?: EventHandler<SyntheticEvent>;
    };
    style: CSSProperties;
    values: MotionValuesMap;
};
export declare const RenderComponent: <P>({ base, props, innerRef, style, handlers, values, }: RenderProps<P>) => import("react").ReactElement<any>;
export declare const checkShouldInheritVariant: ({ animate, inherit }: MotionProps, animatePropType?: AnimatePropType | undefined) => boolean;
export {};
